AWS IoT Device SDK C++ v2: Aws::Discovery::DiscoveryClientConfig Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Discovery::DiscoveryClientConfig Class Reference

`#include <DiscoveryClient.h>`

## Public Member Functions
| DiscoveryClientConfig () noexcept
| DiscoveryClientConfig (const DiscoveryClientConfig &rhs)=default
| DiscoveryClientConfig (DiscoveryClientConfig &&rhs)=default
DiscoveryClientConfig & | operator= (const DiscoveryClientConfig &rhs)=default
DiscoveryClientConfig & | operator= (DiscoveryClientConfig &&rhs)=default
| ~DiscoveryClientConfig ()=default

## Public Attributes
Crt::Io::ClientBootstrap * | Bootstrap
Crt::Optional< Crt::Io::TlsContext > | TlsContext
Crt::Io::SocketOptions | SocketOptions
Crt::String | Region
size_t | MaxConnections
Crt::Optional< Crt::Http::HttpClientConnectionProxyOptions > | ProxyOptions

## Constructor & Destructor Documentation

## ◆ DiscoveryClientConfig() [1/3]

Aws::Discovery::DiscoveryClientConfig::DiscoveryClientConfig | ( |  | ) |
| noexcept

## ◆ DiscoveryClientConfig() [2/3]

Aws::Discovery::DiscoveryClientConfig::DiscoveryClientConfig | ( | const DiscoveryClientConfig & | rhs | ) |
| default

## ◆ DiscoveryClientConfig() [3/3]

Aws::Discovery::DiscoveryClientConfig::DiscoveryClientConfig | ( | DiscoveryClientConfig && | rhs | ) |
| default

## ◆ ~DiscoveryClientConfig()

Aws::Discovery::DiscoveryClientConfig::~DiscoveryClientConfig | ( |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

DiscoveryClientConfig & Aws::Discovery::DiscoveryClientConfig::operator= | ( | const DiscoveryClientConfig & | rhs | ) |
| default

## ◆ operator=() [2/2]

DiscoveryClientConfig & Aws::Discovery::DiscoveryClientConfig::operator= | ( | DiscoveryClientConfig && | rhs | ) |
| default

## Member Data Documentation

## ◆ Bootstrap

Crt::Io::ClientBootstrap* Aws::Discovery::DiscoveryClientConfig::Bootstrap

The client bootstrap to use for setting up and tearing down connections. Required.

## ◆ MaxConnections

size_t Aws::Discovery::DiscoveryClientConfig::MaxConnections

The maximum number of concurrent connections allowed

## ◆ ProxyOptions

Crt::Optional<Crt::Http::HttpClientConnectionProxyOptions> Aws::Discovery::DiscoveryClientConfig::ProxyOptions

The proxy options for all http connections made by this client. Optional.

## ◆ Region

Crt::String Aws::Discovery::DiscoveryClientConfig::Region

The value of the Aws region to connect to. Required.

## ◆ SocketOptions

Crt::Io::SocketOptions Aws::Discovery::DiscoveryClientConfig::SocketOptions

The socket options of the connections made by the client. Required.

## ◆ TlsContext

Crt::Optional<Crt::Io::TlsContext> Aws::Discovery::DiscoveryClientConfig::TlsContext

The TLS options for all http connections made by this client. Optional.

The documentation for this class was generated from the following files:

- discovery/include/aws/discovery/DiscoveryClient.h
- discovery/source/DiscoveryClient.cpp